com.h3c.util.snmp

## Class SnmpTargetArgs

- java.lang.Object
- - com.h3c.util.snmp.SnmpTargetArgs

-     public class SnmpTargetArgs
      extends Object

  SNMP Target arguments.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnmpTargetArgs()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Usm.AuthorizationType` | `getAuthorization()`
    `String` | `getAuthorizationPwd()`
    `IpAddress` | `getIpAddress()`
    `Usm.PrivacyType` | `getPrivacy()`
    `String` | `getPrivacyPwd()`
    `String` | `getReadCommunity()`
    `int` | `getSendPort()`
    `int[]` | `getTimeoutArrayMillis()`
    `String` | `getUserName()`
    `SnmpVersionType` | `getVersion()`
    `String` | `getWriteCommunity()`
    `SnmpTargetArgs` | `setAuthorization(Usm.AuthorizationType v)`
    `SnmpTargetArgs` | `setAuthorizationPwd(String v)`
    `SnmpTargetArgs` | `setIpAddress(IpAddress v)`
    `SnmpTargetArgs` | `setPrivacy(Usm.PrivacyType v)`
    `SnmpTargetArgs` | `setPrivacyPwd(String v)`
    `SnmpTargetArgs` | `setReadCommunity(String v)`
    `SnmpTargetArgs` | `setSendPort(int v)`
    `SnmpTargetArgs` | `setTimeoutArrayMillis(int[] v)`
    `SnmpTargetArgs` | `setUserName(String v)`
    `SnmpTargetArgs` | `setVersion(SnmpVersionType v)`
    `SnmpTargetArgs` | `setWriteCommunity(String v)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SnmpTargetArgs

          public SnmpTargetArgs()

  - ### Method Detail

    - #### setVersion

          public SnmpTargetArgs setVersion(SnmpVersionType v)

    - #### setIpAddress

          public SnmpTargetArgs setIpAddress(IpAddress v)

    - #### setSendPort

          public SnmpTargetArgs setSendPort(int v)

    - #### setTimeoutArrayMillis

          public SnmpTargetArgs setTimeoutArrayMillis(int[] v)

    - #### setReadCommunity

          public SnmpTargetArgs setReadCommunity(String v)

    - #### setWriteCommunity

          public SnmpTargetArgs setWriteCommunity(String v)

    - #### setUserName

          public SnmpTargetArgs setUserName(String v)

    - #### setAuthorization

          public SnmpTargetArgs setAuthorization(Usm.AuthorizationType v)

    - #### setAuthorizationPwd

          public SnmpTargetArgs setAuthorizationPwd(String v)

    - #### setPrivacy

          public SnmpTargetArgs setPrivacy(Usm.PrivacyType v)

    - #### setPrivacyPwd

          public SnmpTargetArgs setPrivacyPwd(String v)

    - #### getVersion

          public SnmpVersionType getVersion()

    - #### getIpAddress

          public IpAddress getIpAddress()

    - #### getSendPort

          public int getSendPort()

    - #### getTimeoutArrayMillis

          public int[] getTimeoutArrayMillis()

    - #### getReadCommunity

          public String getReadCommunity()

    - #### getWriteCommunity

          public String getWriteCommunity()

    - #### getUserName

          public String getUserName()

    - #### getAuthorization

          public Usm.AuthorizationType getAuthorization()

    - #### getPrivacy

          public Usm.PrivacyType getPrivacy()

    - #### getAuthorizationPwd

          public String getAuthorizationPwd()

    - #### getPrivacyPwd

          public String getPrivacyPwd()

Copyright © 2014. All Rights Reserved.